Subject: Re: bug#3949: 23.1.50; C-x 0 should go to a sister window if possible

From: Lennart Borgman <[email-masked]>
Date: Mon, 27 Jul 2009 20:49:03 +0200

On Mon, Jul 27, 2009 at 8:05 PM, martin rudalics<[email-masked]> wrote:
>> I can't think of any situation where I do not want that.
>
> I suppose you refer to configurations like
>
>  -------
> | 1 | 2 |
> |-------|
> |   3   |
>  -------
>
> and you do C-x 0 in 1 ending up in 3

This is the case I that I find surprising. And I can't figure out what
the algorithm is - it does not go to the previous window. At least not
after

   C-x 1
   C-x 3
   windmove-right
   C-x 2
   windmove-down
   C-x 0

For me it stops in the left window, not the right as I expect.

> or in 3 ending up in 2.

In this case the current default (which I suppose is going to the
previous window ...) should be fine.

> It happens because `delete-window' selects the previous window of the
> selected one which is usually also the one that gets enlarged.  You'd
> probably prefer C-x 0 in 1 end up in 2 and when in 3 end up in 1.  This
> could be done but I'm not sure whether this was a great annoyance over
> the years in order to warrant such a change.
>
> martin
>